# yaml-language-server: $schema=https://taskfile.dev/schema.json
---
version: "3"

includes:
  git: https://gitlab.com/gp3t1/taskfiles/-/raw/main/generic/git.Taskfile.yml
  gocloc: https://gitlab.com/gp3t1/taskfiles/-/raw/main/generic/gocloc.Taskfile.yml
  dprint: https://gitlab.com/gp3t1/taskfiles/-/raw/main/generic/format/dprint.Taskfile.yml
  gitleaks: https://gitlab.com/gp3t1/taskfiles/-/raw/main/generic/compliance/gitleaks.Taskfile.yml
  yamllint: https://gitlab.com/gp3t1/taskfiles/-/raw/main/lang/yaml/yamllint.Taskfile.yml

vars:
  _ROOT_DIR_BASENAME: { sh: 'basename "{{.ROOT_DIR}}"' }
  _GIT_REMOTE_BASENAME: { sh: 'basename "$(git remote get-url origin)" | cut -d. -f1' }
  _PROJECT_NAME: "{{._GIT_REMOTE_BASENAME | default ._ROOT_DIR_BASENAME }}"

tasks:
  default:
    cmds:
      - task: git
      - task: fmt
      - task: lint

  fmt:
    cmds:
      - task: dprint

  lint:
    cmds:
      - task: gitleaks
      - task: yamllint
